Package com.github.lgooddatepicker.zinternaltools

## Class DateVetoPolicyMinimumMaximumDate

- java.lang.Object
- - com.github.lgooddatepicker.zinternaltools.DateVetoPolicyMinimumMaximumDate

All Implemented Interfaces:
  `DateVetoPolicy`

    public class DateVetoPolicyMinimumMaximumDate
    extends java.lang.Object
    implements DateVetoPolicy

DateVetoPolicyMinimumMaximumDate, This class implements a veto policy that can set a minimum and a maximum value for the dates allowed in a DatePicker or a CalendarPanel. Pass in the first and the last allowed date to the constructor. If one of the values is null, then there will be no limiting date on the associated side of the date range. Only one of the two limiting dates can be null. If both dates are supplied, then the lastAllowedDate must be greater than or equal to the firstAllowedDate.

### Constructor Summary

Constructors
`DateVetoPolicyMinimumMaximumDate​(java.time.LocalDate firstAllowedDate, java.time.LocalDate lastAllowedDate)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`DateInterval` `getDateRangeLimits()` getDateRangeLimits, This returns the currently used date limits, as a DateInterval object.
`boolean` `isDateAllowed​(java.time.LocalDate date)` isDateAllowed, This implements the DateVetoPolicy interface.
`void` `setDateRangeLimits​(java.time.LocalDate firstAllowedDate, java.time.LocalDate lastAllowedDate)` setDateRangeLimits, This sets the currently used date limits.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateVetoPolicyMinimumMaximumDate

    public DateVetoPolicyMinimumMaximumDate​(java.time.LocalDate firstAllowedDate,
                                            java.time.LocalDate lastAllowedDate)

Constructor. Pass in the first and the last allowed date. If one of the values is null, then there will be no limiting date on the associated side of the date range. Only one of the two limiting dates can be null. If both dates are supplied, then the lastAllowedDate must be greater than or equal to the firstAllowedDate.

### Method Detail

#### getDateRangeLimits

    public DateInterval getDateRangeLimits()

getDateRangeLimits, This returns the currently used date limits, as a DateInterval object.

#### isDateAllowed

    public boolean isDateAllowed​(java.time.LocalDate date)

isDateAllowed, This implements the DateVetoPolicy interface. This returns true if the date is allowed, otherwise this returns false. The value of null will never be passed to this function, under any case.

Specified by:
  `isDateAllowed` in interface `DateVetoPolicy`

#### setDateRangeLimits

    public void setDateRangeLimits​(java.time.LocalDate firstAllowedDate,
                                   java.time.LocalDate lastAllowedDate)

setDateRangeLimits, This sets the currently used date limits.